<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/namespace-syntax.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/namespace-syntax.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/namespace-syntax.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>/**
<a name="line4"></a> * @package PHPDoctor\Tests
<a name="line5"></a> */
<a name="line6"></a>class TestNamespaceSyntax extends DoctorTestCase
<a name="line7"></a>{
<a name="line8"></a>	
<a name="line9"></a>	function testNamespaceSyntax() {
<a name="line10"></a>        
<a name="line11"></a>		$this->DoctorTestCase('Test use of the namespace syntaxes');
<a name="line12"></a>		
<a name="line13"></a>	}
<a name="line14"></a>	
<a name="line15"></a>	function testStandardSyntax() {
<a name="line16"></a>	    
<a name="line17"></a>		if (version_compare(EXEC_VERSION, '5.3.0', '>=')) {
<a name="line18"></a>			$this->setIniFile('standard-namespace-syntax.ini');
<a name="line19"></a>			$output = $this->runPhpDoctor();
<a name="line20"></a>			
<a name="line21"></a>			$this->assertTrue(strpos($output, 'public final static int PHPDoctor\Tests\foo\bar\ZERO'));
<a name="line22"></a>			$this->assertTrue(strpos($output, 'public final static int PHPDoctor\Tests\foo\bar\ONE = 1'));
<a name="line23"></a>		}
<a name="line24"></a>	}
<a name="line25"></a>	
<a name="line26"></a>	function testAltSyntax() {
<a name="line27"></a>	    if (version_compare(EXEC_VERSION, '5.3.0', '>=')) {
<a name="line28"></a>			$this->setIniFile('alt-namespace-syntax.ini');
<a name="line29"></a>			$output = $this->runPhpDoctor();
<a name="line30"></a>			
<a name="line31"></a>			$this->assertTrue(strpos($output, 'public final static int PHPDoctor\Tests\woo\yay\ZERO'));
<a name="line32"></a>			$this->assertTrue(strpos($output, 'public final static int PHPDoctor\Tests\woo\yay\ONE = 1'));
<a name="line33"></a>		}
<a name="line34"></a>	}
<a name="line35"></a>	
<a name="line36"></a>}
<a name="line37"></a>
<a name="line38"></a>?>
<a name="line39"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/namespace-syntax.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>